function get_unique(){
	if(window.unique_ids === undefined) window.unique_ids = [];
	var uid;
	
	do{
		uid = Math.ceil(new Date().getTime() + (Math.random()*10000));
	}while(window.unique_ids.indexOf(uid) != -1);
	
	return uid;
};

function get_local_date(d, raw){
	var nd = new Date(d + " UTC");
	if(raw) return nd;
	else return nd.completeDateString();
};

Date.prototype.completeDateString = function() {
	var yyyy = this.getFullYear().toString();
	var mm = (this.getMonth()+1).toString();
	var dd  = this.getDate().toString();
	
	//http://stackoverflow.com/questions/19346405/jquery-how-to-get-hhmmss-from-date-object
	var time = this.toTimeString().split(' ')[0];
	
	return yyyy + '-' + (mm[1]?mm:"0"+mm[0]) + '-' + (dd[1]?dd:"0"+dd[0]) + " " + time; 
};

function showNotification(_type, _icon, _message, _ttl, _persistent, _onClose, _onOpen){
	if(!_icon){
		if(_type == 'success') _icon = 'check';
		else if(_type == 'error') _icon = 'exclamation-circle';
		else if(_type == 'warning') _icon = 'warning';
		else _icon = 'comment';
	}
	
	if(!_ttl){
		_ttl = 4000;
	}
		
	var notification = new NotificationFx({
		message : '<span class="ns-icon fa fa-'+_icon+'"></span><p>'+_message+'</p>',
		layout : 'bar',
		effect : 'slidetop',
		wrapper: document.body,
		type : _type, // notice, success, warning or error
		ttl: _ttl,
		onClose : function() {
			return _onClose ? _onClose() : false;
		},
		onOpen: function(){
			return _onOpen ? _onOpen() : false;
		}
	});
	
	if(_persistent) $(notification.ntf).addClass("ntf_persistent");
	
	notification.show();
};

$(document).on("click touch", ".user_photo_container", function(){
	$("#user_photo").trigger("click");
});

$(document).on("change", "#user_photo", function(){
	angular.element($(this)[0]).scope().uploadPhoto();
});