(function(){
	angular.module("HafeApp").config(function($routeProvider, $locationProvider){
		/* 
			Especifiquem quina URL redirigim a quin path
			També especifiquem allò que s'ha de complir abans de carregar el contingut
			En el nostre cas, ens assegurarem sempre que l'usuari tingui credencials vàlides
		*/
		$routeProvider
		.when('/home', {
			templateUrl: 'views/user.html'
		})
		.when('/options', {
			templateUrl: 'views/options.html'
		})
		.when('/visualizations', {
			templateUrl: 'views/visualizations.html'
		})
		.when('/card-editor', {
			templateUrl: 'views/cards.html'
		})
		.when('/view/:viewCode', {
			templateUrl: 'views/view_user.html'
		})
		.when('/send-alert/:viewCode', {
			templateUrl: 'views/send_alert.html'
		})
		.when('/view-alert/:alertCode', {
			templateUrl: 'views/view_alert.html'
		})
		.when('/restore-password/pc/:passwordCode', {
			templateUrl: 'views/login.html'
		})
		.when('/login', {
			templateUrl: 'views/login.html'
		})
		.when('/login/uc/:viewCode', {
			templateUrl: 'views/login.html'
		})
		.when('/login/ac/:alertCode', {
			templateUrl: 'views/login.html'
		})
		.when('/login/activate/:activateCode', {
			templateUrl: 'views/login.html'
		})
		.otherwise({
			redirectTo: '/login'
		});
		
		// Indiquem aquest mode per tal que AngularJS pugui reescriure la URL del navegador
		$locationProvider.html5Mode(true);
	});
})();