(function(){
	angular.module('hafe-alerts').factory('AlertsService', ['$http', 'AuthService', function($http, AuthSrv){
		var ao = this;
		
		var return_obj = {
			"getInfo": getInfo,
			"sendAlert": sendAlert
		};
		
		function getInfo(_code){
			return $.ajax({
				type: 'post',
				url: 'server/alerts/check.php',
				data: {token: AuthSrv.getToken(), code: _code}
			});
		};
		
		function sendAlert(_code, _lat, _lng){			
			return $.ajax({
				type: 'post',
				url: 'server/alerts/send.php',
				data: {latitude: _lat, longitude: _lng, code: _code}
			});
		};
		
		return return_obj;
		
	}]);
})();