(function(){
	var app = angular.module("hafe-auth");
	
	app.controller("lostPasswordController", ['$scope', 'AuthService', function($scope, AuthSrv){
		var ao = this;
		
		$scope.user = {
			mail: localStorage['mail'] || ''
		};
		
		ao.requestLostPassword = function(){
			var _mail = $scope.user.mail;
			
			AuthSrv.requestLostPassword(_mail)
			.done(function(resp){
				console.log(resp);
				resp = JSON.parse(resp);
				if(resp.status == 'success'){
					showNotification('success', false, "S'ha enviat un correu de recuperació de contrasenya al correu especificat, si existeix.");
				}else{
					showNotification('failed', false, "No s'ha pogut enviar el correu de recuperació de contrasenya.");
				}
			});
		};
	}]);
})();