(function(){
	var app = angular.module("hafe-auth");
	
	app.controller("restorePasswordController", ['$scope', '$timeout', 'AuthService', '$routeParams', '$location', function($scope, $timeout, AuthSrv, $routeParams, $location){
		var ao = this;
		
		$scope.code = $routeParams.passwordCode;
		ao.password;
		ao.rep_password;
		
		ao.restorePassword = function(){
			if($scope.restorePasswordForm.$valid){
				AuthSrv.restorePassword($scope.code, ao.password)
				.done(function(resp){
					resp = JSON.parse(resp);
					
					if(resp.status == 'success'){
						showNotification("success", false, "Contrasenya restablerta amb èxit. Redireccionant a pantalla principal...");
						$timeout(function(){
							$location.path("/login");
							$scope.$apply;
						}, 1500);
					}else{
						if(resp.status_id == 'invalid_code'){
							showNotification("error", false, "El codi de restabliment de contrasenya no és vàlid. Sisplau, sol·licita'n un altre.");
						}else{
							showNotification("error", false, "No s'ha pogut restablir la contrasenya.");
						}
					}
				});
			}else{
				showNotification("error", false, "Tots els camps són obligatoris.");
			}
		};
		
		ao.goLogin = function(){
			$location.path("/login");
			setTimeout(function(){$scope.$apply;});
		};
	}]);
})();