(function(){
	var app = angular.module("hafe-visualizations");
	
	app.controller("VisualizationsController", ['$scope', '$http', 'VisualizationsService', 'AuthService', function($scope, $http, VisualizationsService, AuthService){
		var ao = this;
		
		$scope.user = {};
		$scope.visualizations = [];
		
		ao.init = function(){
			ao.loadUserInfo();
			ao.getVisualizations();
		};
		
		ao.loadUserInfo = function(){
			AuthService.getUserInfo()
			.done(function(resp){
				resp = JSON.parse(resp);
				
				if(resp.status == 'success'){
					$scope.user = resp.data.user;
					$scope.$apply();
				}
			});
		};
		
		ao.getVisualizations = function(){
			VisualizationsService.getVisualizations()
			.done(function(resp){
				resp = JSON.parse(resp);
				
				if(resp.status == 'success'){
					$scope.visualizations = resp.data.visualizations;
					$scope.$apply();
				}else{
					
				}
			});
		};
		
		ao.getLocalDate = get_local_date;
		
		// Executem les funcions en quant es carregui el controlador
		ao.init();
	}]);
})();