(function(){
	angular.module('hafe-card.preferences').factory('CardPreferencesService', ['$http', 'AuthService', function($http, AuthService){
		var ao = this;
		
		var return_obj = {
			"getPreferences": getPreferences,
			"savePreferences": savePreferences
		};
		
		function getPreferences(){
			return $.ajax({
				method: 'post',
				url: 'server/card_preferences/get.php',
				data: {token: AuthService.getToken()}
			});
		};
		
		function savePreferences(prefs){
			return $.ajax({
				type: 'post',
				url: 'server/card_preferences/save.php',
				data: {token: AuthService.getToken(), preferences: JSON.stringify(prefs)}
			});
		};
		
		return return_obj;
		
	}]);
})();