(function(){
	angular.module('hafe-visualizations').factory('VisualizationsService', ['$http', 'AuthService', function($http, AuthService){
		var ao = this;
		
		var return_obj = {
			"getVisualizations": getVisualizations
		};
		
		function getVisualizations(){
			return $.ajax({
				method: 'post',
				url: 'server/visualizations/get.php',
				data: {token: AuthService.getToken()}
			});
		};
		
		return return_obj;
		
	}]);
})();