<?php 
	
	require_once("../../includes_php.php");

	$return_data = initialize_return_data();
	
	$final_src = "uploads/";
	$file = $_FILES['user_photo'];
	
	// Aconseguim el path del fitxer temporal
	$temp_path = $file['tmp_name'];  
	
	// Aconseguim l'extensió del fitxer
	$extension = strtolower(end(explode(".", $file['name'])));
	
	// I comprovem que sigui una extensió acceptada (jpeg, jpg, png, bmp, gif)
	if(!in_array($extension, array("jpeg", "jpg", "png", "bmp", "gif"))){
		
		$return_data['status'] = 'failed';
		$return_data['status_id'] = 'invalid_extension';
		
		echo json_encode($return_data);
		exit;
		
	}
	
	// Fem un hash únic del fitxer per evitar sobreescritures inintencionades
	$file_name = md5($file['name'].$file['type'].$file['size']).".".$extension;
	
	// Especifiquem on volem que es guardi el fitxer
	$final_dir = __DIR__ ."/../../uploads/";
	$final_path =  $final_dir . $file_name;
	
	// Comprovem que no existeixi ja el fitxer
	if(file_exists($final_path)){
		
		// Si existeix, senyal que és el mateix fitxer: amb el mateix nom, extensió i mida
		
	}else{
		
		// I transferim el fitxer local al directori final
		if(!move_uploaded_file($temp_path, $final_path)){
			
			$return_data['status'] = 'failed';
			$return_data['status_id'] = 'unable_upload';
			$return_data['error']['data'][0] = $_REQUEST;
			$return_data['error']['data'][1] = $_POST;
			$return_data['error']['data'][2] = $_FILES;
			
			echo json_encode($return_data);
			exit;
			
		}
		
	}
	
	$return_data['status'] = 'success';
	$return_data['data']['photo']['src'] = $final_src . $file_name;
	
	echo json_encode($return_data);
	exit;
	
?>